#include <iostream>
#include <cmath>

using namespace std;

int pow(int a, int b) {
	return (int)pow((double)a, (double)b);
}
int fetch(int ch, int i) {
	return (ch%pow(10,i))/(pow(10,i-1));
}
int swap(int ch, int i, int j) {
	int a = fetch(ch,i);
	int b = fetch(ch,j);
	ch -= a*pow(10,i-1);
	ch -= b*pow(10,j-1);
	ch += a*pow(10,j-1);
	ch += b*pow(10,i-1);
	return ch;
}

int len(int n) {
	if(n==0) return 1;
	return (int)(floor(log10(abs(n))+1));
}

int main() {
	int n = 0, nCopy = 0;
	do {
		cout << "Enter natural number: ";
		cin >> n;
		if(len(n)!=3||n<1) {
			cout << "\tNekorrektnij vvod. Poprobujte snova" << endl;
		}
	} while(len(n)!=3||n<1);
	
	nCopy = n;
	
	for (int i=3; i>=1; i--) {
		bool sorted = true;
		for (int j=1; j<i; j++) {
			if (fetch(nCopy, j) > fetch(nCopy, j+1)) {
				nCopy = swap(nCopy, j, j+1);
				sorted = false;
			}
		}
		if(sorted) {
			break;
		}		
	}
	
	cout << "Ishodnoje chislo " << n << ". Novoje chislo: " << nCopy << endl;
	
	return 0;
}
